Subject: Re: bug#59328: 29.0.50; `seq-keep' implementation only valid for lists

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Nov 2022 17:00:56 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 24 Nov 2022 15:26:01 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't understand: why cannot we add a test to Emacs, even though
> > other tests are elsewhere?
> 
> Every kind of sequence (in the sense of seq.el) that exists in Emacs is
> not affected by the bug.  A test makes only sense for types that are,
> but those are defined in libraries that are not in Gnu Emacs, only in
> Gnu Elpa.  But I can't make the test depend on them.

I see I was confused by the Subject of your bug report.

OK, then just install this, though now I wonder why we need this change...